gtkmm: Gtk::AspectFrame Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::AspectFrame Class Reference
Widgets | Container Widgets

A frame that constrains its child to a particular aspect ratio. More...

`#include <gtkmm/aspectframe.h>`

Inheritance diagram for Gtk::AspectFrame:
[legend]

## Public Member Functions
| AspectFrame (AspectFrame &&src) noexcept
AspectFrame & | operator= (AspectFrame &&src) noexcept
| AspectFrame (const AspectFrame &)=delete
AspectFrame & | operator= (const AspectFrame &)=delete
| ~AspectFrame () noexcept override
GtkAspectFrame * | gobj ()
| Provides access to the underlying C GObject.
const GtkAspectFrame * | gobj () const
| Provides access to the underlying C GObject.
| AspectFrame (Align xalign=Gtk::Align::CENTER, Align yalign=Gtk::Align::CENTER, float ratio=1.0, bool obey_child=false)
| Constructor to create a new AspectFrame object.
| AspectFrame (float xalign, float yalign, float ratio=1.0, bool obey_child=false)
| Constructor to create a new AspectFrame object.
void | set_xalign (Align xalign)
| Sets the horizontal alignment of the child within the allocation of this AspectFrame.
void | set_xalign (float xalign)
| Sets the horizontal alignment of the child within the allocation of the `Gtk::AspectFrame`.
float | get_xalign () const
| Returns the horizontal alignment of the child within the allocation of the `Gtk::AspectFrame`.
void | set_yalign (Align yalign)
| Sets the vertical alignment of the child within the allocation of this AspectFrame.
void | set_yalign (float yalign)
| Sets the vertical alignment of the child within the allocation of the `Gtk::AspectFrame`.
float | get_yalign () const
| Returns the vertical alignment of the child within the allocation of the `Gtk::AspectFrame`.
void | set_ratio (float ratio)
| Sets the desired aspect ratio of the child.
float | get_ratio () const
| Returns the desired aspect ratio of the child.
void | set_obey_child (bool obey_child=true)
| Sets whether the aspect ratio of the child's size request should override the set aspect ratio of the `Gtk::AspectFrame`.
bool | get_obey_child () const
| Returns whether the child's size request should override the set aspect ratio of the `Gtk::AspectFrame`.
void | set_child (Widget &child)
| Sets the child widget of self.
void | unset_child ()
Widget * | get_child ()
| Gets the child widget of self.
const Widget * | get_child () const
| Gets the child widget of self.
Glib::PropertyProxy< float > | property_xalign ()
| The horizontal alignment of the child.
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| The horizontal alignment of the child.
Glib::PropertyProxy< float > | property_yalign ()
| The vertical alignment of the child.
Glib::PropertyProxy_ReadOnly< float > | property_yalign () const
| The vertical alignment of the child.
Glib::PropertyProxy< float > | property_ratio ()
| The aspect ratio to be used by the `Gtk::AspectFrame`.
Glib::PropertyProxy_ReadOnly< float > | property_ratio () const
| The aspect ratio to be used by the `Gtk::AspectFrame`.
Glib::PropertyProxy< bool > | property_obey_child ()
| Whether the `Gtk::AspectFrame` should use the aspect ratio of its child.
Glib::PropertyProxy_ReadOnly< bool > | property_obey_child () const
| Whether the `Gtk::AspectFrame` should use the aspect ratio of its child.
Glib::PropertyProxy< Widget * > | property_child ()
| The child widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_child () const
| The child widget.
Public Member Functions inherited from Gtk::Widget
| Widget (Widget &&src) noexcept
Widget & | operator= (Widget &&src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
| ~Widget () noexcept override
| Destroys the widget.
GtkWidget * | gobj ()
| Provides access to the underlying C GObject.
const GtkWidget * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ConstraintTarget > | make_refptr_constrainttarget ()
| Converts this widget to a reference counted Gtk::ConstraintTarget.
Glib::RefPtr< const ConstraintTarget > | make_refptr_constrainttarget () const
| Converts this widget to a reference counted Gtk::ConstraintTarget.
void | show ()
| Flags a widget to be displayed.
void | hide ()
| Reverses the effects of show().
void | queue_draw ()
| Schedules this widget to be redrawn in the paint phase of the current or the next frame.
void | queue_resize ()
| Flags a widget to have its size renegotiated.
void | queue_allocate ()
| Flags the widget for a rerun of the size_allocate_vfunc() function.
void | size_allocate (const Allocation &allocation, int baseline)
| Allocates widget with a transformation that translates the origin to the position in allocation.
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout.
void | measure (Orientation orientation, int for_size, int & minimum, int & natural, int &minimum_baseline, int &natural_baseline) const
| Measures widget in the orientation orientation and for the given for_size.
Measurements | measure (Orientation orientation, int for_size=-1) const
| Like the other overload of measure() but returns a structure holding the sizes/baselines instead of using output parameters.
void | get_preferred_size (Requisition &minimum_size, Requisition &natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget’s preference for height-for-width management.
PreferredSize | get_preferred_size () const
| Like the other overload of get_preferred_size() but returns a structure holding the sizes instead of using output parameters.
void | set_layout_manager (const Glib::RefPtr< LayoutManager > &layout_manager)
| Sets the layout manager delegate instance that provides an implementation for measuring and allocating the children of widget.
void | unset_layout_manager ()
| Undoes the effect of a previous call to set_layout_manager().
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the layout manager used by widget.
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the layout manager used by widget.
bool | mnemonic_activate (bool group_cycling)
| Emits the signal_mnemonic_activate() signal.
bool | activate ()
| For widgets that can be “activated” (buttons, menu items, etc.) this function activates them.
void | set_can_focus (bool can_focus=true)
| Specifies whether the input focus can enter the widget or any of its children.
bool | get_can_focus () const
| Determines whether the input focus can enter widget or any of its children.
void | set_focusable (bool focusable=true)
| Specifies whether widget can own the input focus.
bool | get_focusable () const
| Determines whether widget can own the input focus.
bool | has_focus () const
| Determines if the widget has the global input focus.
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel.
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus.
bool | grab_focus ()
| Causes widget to have the keyboard focus for the `Gtk::Window` it's inside.
void | set_focus_on_click (bool focus_on_click=true)
| Sets whether the widget should grab focus when it is clicked with the mouse.
bool | get_focus_on_click () const
| Returns whether the widget should grab focus when it is clicked with the mouse.
void | set_can_target (bool can_target=true)
| Sets whether widget can be the target of pointer events.
bool | get_can_target () const
| Queries whether widget can be the target of pointer events.
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel.
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
bool | get_receives_default () const
| Determines whether widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
void | set_name (const Glib::ustring & name)
| Sets a widgets name.
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget.
void | set_state_flags (StateFlags flags, bool clear=true)
| Turns on flag values in the current widget state.
void | unset_state_flags (StateFlags flags)
| Turns off flag values for the current widget state.
StateFlags | get_state_flags () const
| Returns the widget state as a flag set.
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget.
bool | get_sensitive () const
| Returns the widget’s sensitivity.
bool | is_sensitive () const
| Returns the widget’s effective sensitivity.
void | set_visible (bool visible=true)
| Sets the visibility state of widget.
bool | get_visible () const
| Determines whether the widget is visible.
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible.
bool | is_drawable () const
| Determines whether widget can be drawn to.
bool | get_realized () const
| Determines whether widget is realized.
bool | get_mapped () const
| Whether the widget is mapped.
void | set_child_visible (bool visible=true)
| Sets whether widget should be mapped along with its parent.
bool | get_child_visible () const
| Gets the value set with set_child_visible().
int | get_allocated_width () const
| Returns the width that has currently been allocated to widget.
int | get_allocated_height () const
| Returns the height that has currently been allocated to widget.
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to widget.
Allocation | get_allocation () const
| Retrieves the widget’s location.
std::optional< Gdk::Graphene::Rect > | compute_bounds (const Widget & target) const
| Computes the bounds for the widget in the coordinate space of target.
std::optional< Gdk::Graphene::Point > | compute_point (const Widget & target, const Gdk::Graphene::Point &point) const
| Translates the given point in the widget's coordinates to coordinates relative to target’s coordinate system.
int | get_width () const
| Returns the content width of the widget.
int | get_height () const
| Returns the content height of the widget.
int | get_baseline () const
| Returns the baseline that has currently been allocated to widget.
int | get_size (Orientation orientation) const
| Returns the content width or height of the widget.
Widget * | get_parent ()
| Returns the parent widget of widget.
const Widget * | get_parent () const
| Returns the parent widget of widget.
Root * | get_root ()
| Returns the `Gtk::Root` widget of widget.
const Root * | get_root () const
| Returns the `Gtk::Root` widget of widget.
Native * | get_native ()
| Returns the nearest `Gtk::Native` ancestor of widget.
const Native * | get_native () const
| Returns the nearest `Gtk::Native` ancestor of widget.
bool | child_focus (DirectionType direction)
| Called by widgets as the user moves around the window using keyboard shortcuts.
bool | keynav_failed (DirectionType direction)
| Emits the `keynav-failed` signal on the widget.
void | error_bell ()
| Notifies the user about an input-related error on this widget.
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget.
void | get_size_request (int & width, int &height) const
| Gets the size request that was explicitly set for the widget using set_size_request().
Requisition | get_size_request () const
| Like the other overload of get_size_request() but returns a structure holding the sizes instead of using output parameters.
void | set_opacity (double opacity)
| Request the widget to be rendered partially transparent.
double | get_opacity () const
| Fetches the requested opacity for this widget.
void | set_overflow (Overflow overflow)
| Sets how widget treats content that is drawn outside the widget's content area.
Overflow | get_overflow () const
| Returns the widget’s overflow value.
Widget * | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type.
const Widget * | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type.
int | get_scale_factor () const
| Retrieves the internal scale factor that maps from window coordinates to the actual device pixels.
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the `Gdk::Display` for the toplevel window associated with this widget.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the `Gdk::Display` for the toplevel window associated with this widget.
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for this widget.
Glib::RefPtr< Gdk::Clipboard > | get_clipboard ()
| Gets the clipboard object for widget.
Glib::RefPtr< const Gdk::Clipboard > | get_clipboard () const
| Gets the clipboard object for widget.
Glib::RefPtr< Gdk::Clipboard > | get_primary_clipboard ()
| Gets the primary clipboard of widget.
Glib::RefPtr< const Gdk::Clipboard > | get_primary_clipboard () const
| Gets the primary clipboard of widget.
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space.
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space.
bool | get_hexpand_set () const
| Gets whether set_hexpand() has been used to explicitly set the expand flag on this widget.
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag will be used.
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space.
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space.
bool | get_vexpand_set () const
| Gets whether set_vexpand() has been used to explicitly set the expand flag on this widget.
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag will be used.
bool | compute_expand (Orientation orientation)
| Computes whether a container should give this widget extra space when possible.
void | set_expand (bool expand=true)
| Sets whether the widget would like any available extra space in both directions.
Align | get_halign () const
| Gets the horizontal alignment of widget.
void | set_halign (Align align)
| Sets the horizontal alignment of widget.
Align | get_valign () const
| Gets the vertical alignment of widget.
void | set_valign (Align align)
| Sets the vertical alignment of widget.
int | get_margin_start () const
| Gets the start margin of widget.
void | set_margin_start (int margin)
| Sets the start margin of widget.
int | get_margin_end () const
| Gets the end margin of widget.
void | set_margin_end (int margin)
| Sets the end margin of widget.
int | get_margin_top () const
| Gets the top margin of widget.
void | set_margin_top (int margin)
| Sets the top margin of widget.
int | get_margin_bottom () const
| Gets the bottom margin of widget.
void | set_margin_bottom (int margin)
| Sets the bottom margin of widget.
void | set_margin (int margin)
| Set all 4 margins to the same value.
bool | is_ancestor (Widget &ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers.
bool | translate_coordinates (Widget &dest_widget, double src_x, double src_y, double &dest_x, double &dest_y)
| Translate coordinates relative to src_widget’s allocation to coordinates relative to dest_widget’s allocations.
bool | contains (double x, double y) const
| Tests if the point at ( x, y) is contained in widget.
Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT)
| Finds the descendant of widget closest to the point ( x, y).
const Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT) const
| Finds the descendant of widget closest to the point ( x, y).
void | add_controller (const Glib::RefPtr< EventController > &controller)
| Adds controller to widget so that it will receive events.
void | remove_controller (const Glib::RefPtr< EventController > &controller)
| Removes controller from widget, so that it doesn't process events anymore.
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new `Pango::Context` with the appropriate font map, font options, font description, and base direction for drawing text for this widget.
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a `Pango::Context` with the appropriate font map, font description, and base direction for this widget.
void | set_font_options (const Cairo::FontOptions &options)
| Sets the `cairo_font_options_t` used for Pango rendering in this widget.
void | unset_font_options ()
| Undoes the effect of previous calls to set_font_options().
Cairo::FontOptions | get_font_options () const
| Returns the `cairo_font_options_t` of widget.
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring &text)
| Creates a new `Pango::Layout` with the appropriate font map, font description, and base direction for drawing text for this widget.
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget.
TextDirection | get_direction () const
| Gets the reading direction for a particular widget.
void | set_cursor (const Glib::RefPtr< Gdk::Cursor > &cursor)
| Sets the cursor to be shown when pointer devices point towards widget.
void | set_cursor (const Glib::ustring & name={})
| Sets a named cursor to be shown when pointer devices point towards the widget.
Glib::RefPtr< Gdk::Cursor > | get_cursor ()
| Queries the cursor set on widget.
Glib::RefPtr< const Gdk::Cursor > | get_cursor () const
| Queries the cursor set on widget.
std::vector< Widget * > | list_mnemonic_labels ()
| Returns the widgets for which this widget is the target of a mnemonic.
std::vector< const Widget * > | list_mnemonic_labels () const
| Returns the widgets for which this widget is the target of a mnemonic.
void | add_mnemonic_label (Widget &label)
| Adds a widget to the list of mnemonic labels for this widget.
void | remove_mnemonic_label (Widget &label)
| Removes a widget from the list of mnemonic labels for this widget.
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a drag movement has passed the GTK drag threshold.
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
| Obtains the frame clock for a widget.
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
| Obtains the frame clock for a widget.
void | set_parent (Widget & parent)
| Sets parent as the parent widget of widget.
void | unparent ()
| Dissociate widget from its parent.
void | map ()
| Causes a widget to be mapped if it isn’t already.
void | unmap ()
| Causes a widget to be unmapped if it’s currently mapped.
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located.
void | set_tooltip_text (const Glib::ustring &text)
| Sets text as the contents of the tooltip.
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget.
void | set_tooltip_markup (const Glib::ustring &markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language.
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget.
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the `has-tooltip` property on widget to has_tooltip.
bool | get_has_tooltip () const
| Returns the current value of the `has-tooltip` property.
bool | in_destruction () const
| Returns whether the widget is currently being destroyed.
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to widget.
Glib::RefPtr< const StyleContext > | get_style_context () const
| Returns the style context associated to widget.
guint | add_tick_callback (const SlotTick &slot)
| Queues an animation frame update and adds a callback to be called before each frame.
void | remove_tick_callback (guint id)
| Removes a tick callback previously registered with add_tick_callback().
void | insert_action_group (const Glib::ustring & name, const Glib::RefPtr< Gio::ActionGroup > & group)
| Inserts group into widget.
void | remove_action_group (const Glib::ustring & name)
| Removes a group from the widget.
bool | activate_action (const Glib::ustring & name, const Glib::VariantBase &args={})
| Looks up the action in the action groups associated with the widget and its ancestors, and activates it.
void | activate_default ()
| Activates the `default.activate` action from widget.
void | set_font_map (const Glib::RefPtr< Pango::FontMap > &font_map)
| Sets the font map to use for Pango rendering.
Glib::RefPtr< Pango::FontMap > | get_font_map ()
| Gets the font map of widget.
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
| Gets the font map of widget.
Widget * | get_first_child ()
| Returns the widget’s first child.
const Widget * | get_first_child () const
| Returns the widget’s first child.
Widget * | get_last_child ()
| Returns the widget’s last child.
const Widget * | get_last_child () const
| Returns the widget’s last child.
Widget * | get_next_sibling ()
| Returns the widget’s next sibling.
const Widget * | get_next_sibling () const
| Returns the widget’s next sibling.
Widget * | get_prev_sibling ()
| Returns the widget’s previous sibling.
const Widget * | get_prev_sibling () const
| Returns the widget’s previous sibling.
std::vector< Widget * > | get_children ()
| Gets a vector of the widgetʼs current children, from first child to last.
std::vector< const Widget * > | get_children () const
| Gets a vector of the widgetʼs current children, from first child to last.
Glib::RefPtr< Gio::ListModel > | observe_children ()
| Returns a `Gio::ListModel` to track the children of widget.
Glib::RefPtr< const Gio::ListModel > | observe_children () const
| Returns a `Gio::ListModel` to track the children of widget.
Glib::RefPtr< Gio::ListModel > | observe_controllers ()
| Returns a `Gio::ListModel` to track the Gtk::EventControllers of widget.
Glib::RefPtr< const Gio::ListModel > | observe_controllers () const
| Returns a `Gio::ListModel` to track the Gtk::EventControllers of widget.
void | insert_after (Widget & parent, const Widget &previous_sibling)
| Inserts the Widget into the child widget list of parent after previous_sibling.
void | insert_before (Widget & parent, const Widget &next_sibling)
| Inserts the Widget into the child widget list of parent before next_sibling.
void | insert_at_start (Widget & parent)
| Inserts the Widget at the beginning of the child widget list of parent.
void | insert_at_end (Widget & parent)
| Inserts the Widget at the end of the child widget list of parent.
void | snapshot_child (Widget &child, const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Snapshot the a child of widget.
bool | should_layout () const
| Returns whether widget should contribute to the measuring and allocation of its parent.
Glib::ustring | get_css_name () const
| Returns the CSS name that is used for self.
void | add_css_class (const Glib::ustring &css_class)
| Adds a style class to widget.
void | remove_css_class (const Glib::ustring &css_class)
| Removes a style from widget.
bool | has_css_class (const Glib::ustring &css_class) const
| Returns whether css_class is currently applied to widget.
std::vector< Glib::ustring > | get_css_classes () const
| Returns the list of style classes applied to widget.
void | set_css_classes (const std::vector< Glib::ustring > &classes)
| Clear all style classes applied to widget and replace them with classes.
Gdk::RGBA | get_color () const
| Gets the current foreground color for the widget's CSS style.
Glib::SignalProxy< void()> | signal_show ()
Glib::SignalProxy< void()> | signal_hide ()
Glib::SignalProxy< void()> | signal_map ()
| Emitted on mapping of a widget to the screen.
Glib::SignalProxy< void()> | signal_unmap ()
Glib::SignalProxy< void()> | signal_realize ()
| Emitted on realization of a widget.
Glib::SignalProxy< void()> | signal_unrealize ()
Glib::SignalProxy< void(Gtk::StateFlags)> | signal_state_flags_changed ()
Glib::SignalProxy< void(TextDirection)> | signal_direction_changed ()
Glib::SignalProxy< bool(bool)> | signal_mnemonic_activate ()
Glib::SignalProxy< void()> | signal_destroy ()
| Emitted during the dispose phase.
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_parent () const
| The parent widget of this widget.
Glib::PropertyProxy_ReadOnly< Root * > | property_root () const
| The `Gtk::Root` widget of the widget tree containing this widget.
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget.
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible.
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input.
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus.
Glib::PropertyProxy< bool > | property_can_target ()
| Whether the widget can receive pointer events.
Glib::PropertyProxy_ReadOnly< bool > | property_can_target () const
| Whether the widget can receive pointer events.
Glib::PropertyProxy< bool > | property_focus_on_click ()
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy< bool > | property_focusable ()
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_focusable () const
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget.
Glib::PropertyProxy< bool > | property_receives_default ()
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Cursor > > | property_cursor ()
| The cursor used by widget.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Cursor > > | property_cursor () const
| The cursor used by widget.
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy< Align > | property_halign ()
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy< Align > | property_valign ()
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy< int > | property_margin_start ()
| Margin on start of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
| Margin on start of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_end ()
| Margin on end of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
| Margin on end of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_top ()
| Margin on top side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Margin on top side of widget.
Glib::PropertyProxy< int > | property_margin_bottom ()
| Margin on bottom side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Margin on bottom side of widget.
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether to expand horizontally.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
| Whether to expand horizontally.
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the `hexpand` property.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
| Whether to use the `hexpand` property.
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether to expand vertically.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
| Whether to expand vertically.
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the `vexpand` property.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
| Whether to use the `vexpand` property.
Glib::PropertyProxy< double > | property_opacity ()
| The requested opacity of the widget.
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The requested opacity of the widget.
Glib::PropertyProxy< Overflow > | property_overflow ()
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< Overflow > | property_overflow () const
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
| The scale factor of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_css_name () const
| The name of this widget in the CSS tree.
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_css_classes ()
| A list of css classes applied to this widget.
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_css_classes () const
| A list of css classes applied to this widget.
Glib::PropertyProxy< Glib::RefPtr< LayoutManager > > | property_layout_manager ()
| The `Gtk::LayoutManager` instance to use to compute the preferred size of the widget, and allocate its children.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The `Gtk::LayoutManager` instance to use to compute the preferred size of the widget, and allocate its children.
Public Member Functions inherited from Gtk::Object
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
| ~Object () noexcept override
Public Member Functions inherited from Gtk::Accessible
| Accessible (Accessible &&src) noexcept
Accessible & | operator= (Accessible &&src) noexcept
| ~Accessible () noexcept override
GtkAccessible * | gobj ()
| Provides access to the underlying C GObject.
const GtkAccessible * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ATContext > | get_at_context ()
| Retrieves the accessible implementation for the given `Gtk::Accessible`.
Glib::RefPtr< const ATContext > | get_at_context () const
| Retrieves the accessible implementation for the given `Gtk::Accessible`.
bool | get_platform_state (PlatformState state) const
| Query a platform state, such as focus.
Glib::RefPtr< Accessible > | get_accessible_parent ()
| Retrieves the accessible parent for an accessible object.
Glib::RefPtr< const Accessible > | get_accessible_parent () const
| Retrieves the accessible parent for an accessible object.
void | set_accessible_parent (const Glib::RefPtr< Accessible > & parent, const Glib::RefPtr< Accessible > &next_sibling)
| Sets the parent and sibling of an accessible object.
Glib::RefPtr< Accessible > | get_first_accessible_child ()
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< const Accessible > | get_first_accessible_child () const
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< Accessible > | get_next_accessible_sibling ()
| Retrieves the next accessible sibling of an accessible object.
Glib::RefPtr< const Accessible > | get_next_accessible_sibling () const
| Retrieves the next accessible sibling of an accessible object.
void | update_next_accessible_sibling (const Glib::RefPtr< Accessible > &new_sibling)
| Updates the next accessible sibling of self.
bool | get_bounds (int &x, int &y, int & width, int &height) const
| Queries the coordinates and dimensions of this accessible.
Role | get_accessible_role () const
| Retrieves the accessible role of an accessible object.
void | update_state (State state, const Glib::ValueBase & value)
| Updates an accessible state.
void | update_property (Property property, const Glib::ValueBase & value)
| Updates an accessible property.
void | update_relation (Relation relation, const Glib::ValueBase & value)
| Updates an accessible relation.
void | reset_state (State state)
| Resets the accessible state to its default value.
void | reset_property (Property property)
| Resets the accessible property to its default value.
void | reset_relation (Relation relation)
| Resets the accessible relation to its default value.
void | announce (const Glib::ustring & message, AnnouncementPriority priority)
| Requests the user's screen reader to announce the given message.
Glib::PropertyProxy< Role > | property_accessible_role ()
| The accessible role of the given `Gtk::Accessible` implementation.
Glib::PropertyProxy_ReadOnly< Role > | property_accessible_role () const
| The accessible role of the given `Gtk::Accessible` implementation.
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable &&src) noexcept
Buildable & | operator= (Buildable &&src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_buildable_id () const
| Gets the ID of the buildable object.
Public Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget (ConstraintTarget &&src) noexcept
ConstraintTarget & | operator= (ConstraintTarget &&src) noexcept
| ~ConstraintTarget () noexcept override
GtkConstraintTarget * | gobj ()
| Provides access to the underlying C GObject.
const GtkConstraintTarget * | gobj () const
| Provides access to the underlying C GObject.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets.
static TextDirection | get_default_direction ()
| Obtains the current default reading direction.
Static Public Member Functions inherited from Gtk::Accessible
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::ConstraintTarget
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Gtk::AspectFrame * | wrap (GtkAspectFrame *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Widget
Gtk::Widget * | wrap (GtkWidget *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Accessible
Glib::RefPtr< Gtk::Accessible > | wrap (GtkAccessible *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ConstraintTarget
Glib::RefPtr< Gtk::ConstraintTarget > | wrap (GtkConstraintTarget *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::Widget
using | PreferredSize = MinimumNatural<Requisition>
| Structure returned by the non-output-parameter overload of get_preferred_size().
using | SlotTick = sigc::slot<bool(const Glib::RefPtr<Gdk::FrameClock>&)>
| Callback type for adding a function to update animations.
Public Types inherited from Gtk::Accessible
enum class | Role { Role::ALERT , Role::ALERT_DIALOG , Role::BANNER , Role::BUTTON , Role::CAPTION , Role::CELL , Role::CHECKBOX , Role::COLUMN_HEADER , Role::COMBO_BOX , Role::COMMAND , Role::COMPOSITE , Role::DIALOG , Role::DOCUMENT , Role::FEED , Role::FORM , Role::GENERIC , Role::GRID , Role::GRID_CELL , Role::GROUP , Role::HEADING , Role::IMG , Role::INPUT , Role::LABEL , Role::LANDMARK , Role::LEGEND , Role::LINK , Role::LIST , Role::LIST_BOX , Role::LIST_ITEM , Role::LOG , Role::MAIN , Role::MARQUEE , Role::MATH , Role::METER , Role::MENU , Role::MENU_BAR , Role::MENU_ITEM , Role::MENU_ITEM_CHECKBOX , Role::MENU_ITEM_RADIO , Role::NAVIGATION , Role::NONE , Role::NOTE , Role::OPTION , Role::PRESENTATION , Role::PROGRESS_BAR , Role::RADIO , Role::RADIO_GROUP , Role::RANGE , Role::REGION , Role::ROW , Role::ROW_GROUP , Role::ROW_HEADER , Role::SCROLLBAR , Role::SEARCH , Role::SEARCH_BOX , Role::SECTION , Role::SECTION_HEAD , Role::SELECT , Role::SEPARATOR , Role::SLIDER , Role::SPIN_BUTTON , Role::STATUS , Role::STRUCTURE , Role::SWITCH , Role::TAB , Role::TABLE , Role::TAB_LIST , Role::TAB_PANEL , Role::TEXT_BOX , Role::TIME , Role::TIMER , Role::TOOLBAR , Role::TOOLTIP , Role::TREE , Role::TREE_GRID , Role::TREE_ITEM , Role::WIDGET , Role::WINDOW , Role::TOGGLE_BUTTON , Role::APPLICATION , Role::PARAGRAPH , Role::BLOCK_QUOTE , Role::ARTICLE , Role::COMMENT , Role::TERMINAL }
| The accessible role for a Gtk::Accessible implementation. More...
enum class | State { State::BUSY , State::CHECKED , State::DISABLED , State::EXPANDED , State::HIDDEN , State::INVALID , State::PRESSED , State::SELECTED , State::VISITED }
| The possible accessible states of a Gtk::Accessible. More...
enum class | Property { Property::AUTOCOMPLETE , Property::DESCRIPTION , Property::HAS_POPUP , Property::KEY_SHORTCUTS , Property::LABEL , Property::LEVEL , Property::MODAL , Property::MULTI_LINE , Property::MULTI_SELECTABLE , Property::ORIENTATION , Property::PLACEHOLDER , Property::READ_ONLY , Property::REQUIRED , Property::ROLE_DESCRIPTION , Property::SORT , Property::VALUE_MAX , Property::VALUE_MIN , Property::VALUE_NOW , Property::VALUE_TEXT }
| The possible accessible properties of a Gtk::Accessible. More...
enum class | Relation { Relation::ACTIVE_DESCENDANT , Relation::COL_COUNT , Relation::COL_INDEX , Relation::COL_INDEX_TEXT , Relation::COL_SPAN , Relation::CONTROLS , Relation::DESCRIBED_BY , Relation::DETAILS , Relation::ERROR_MESSAGE , Relation::FLOW_TO , Relation::LABELLED_BY , Relation::OWNS , Relation::POS_IN_SET , Relation::ROW_COUNT , Relation::ROW_INDEX , Relation::ROW_INDEX_TEXT , Relation::ROW_SPAN , Relation::SET_SIZE }
| The possible accessible relations of a Gtk::Accessible. More...
enum class | PlatformState { PlatformState::FOCUSABLE , PlatformState::FOCUSED , PlatformState::ACTIVE }
| The various platform states which can be queried using Gtk::Accessible::get_platform_state(). More...
enum class | AnnouncementPriority { AnnouncementPriority::LOW , AnnouncementPriority::MEDIUM , AnnouncementPriority::HIGH }
| The priority of an accessibility announcement. More...
Public Attributes inherited from Gtk::Widget
Glib::SignalProxy< bool(int, int, bool, const Glib::RefPtr< Tooltip > &) | signal_query_tooltip )()
Protected Member Functions inherited from Gtk::Widget
virtual void | root_vfunc ()
virtual void | unroot_vfunc ()
virtual void | size_allocate_vfunc (int width, int height, int baseline)
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | measure_vfunc (Orientation orientation, int for_size, int & minimum, int & natural, int &minimum_baseline, int &natural_baseline) const
virtual bool | grab_focus_vfunc ()
virtual void | set_focus_child_vfunc (Widget *child)
| Sets the focused child of widget.
virtual void | compute_expand_vfunc (bool &hexpand_p, bool &vexpand_p)
virtual bool | contains_vfunc (double x, double y) const
virtual void | snapshot_vfunc (const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Widget ()
void | realize ()
| Creates the GDK resources associated with a widget.
void | unrealize ()
| Causes a widget to be unrealized (frees all GDK resources associated with the widget).
void | realize_if_needed ()
void | set_focus_child (Widget &child)
| Set child as the current focus child of widget.
void | unset_focus_child ()
| Unsets the focus child of the widget.
Widget * | get_focus_child ()
| Returns the current focus child of widget.
const Widget * | get_focus_child () const
| Returns the current focus child of widget.
virtual void | on_show ()
| This is a default handler for the signal signal_show().
virtual void | on_hide ()
| This is a default handler for the signal signal_hide().
virtual void | on_map ()
| This is a default handler for the signal signal_map().
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap().
virtual void | on_realize ()
| This is a default handler for the signal signal_realize().
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize().
virtual void | on_state_flags_changed (Gtk::StateFlags previous_state_flags)
| This is a default handler for the signal signal_state_flags_changed().
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed().
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate().
virtual bool | on_query_tooltip (int x, int y, bool keyboard_tooltip, const Glib::RefPtr< Tooltip > &tooltip)
| This is a default handler for the signal signal_query_tooltip().
Protected Member Functions inherited from Gtk::Accessible
| Accessible ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget ()
| You should derive from this class to use it.

## Detailed Description

A frame that constrains its child to a particular aspect ratio.

The Gtk::AspectFrame is useful when you want pack a widget so that it can resize but always retains the same aspect ratio. For instance, one might be drawing a small preview of a larger image. The frame will be "shrink-wrapped" to the size of the child.

## Constructor & Destructor Documentation

## ◆ AspectFrame() [1/4]

Gtk::AspectFrame::AspectFrame | ( | AspectFrame && | src | ) |
| noexcept

## ◆ AspectFrame() [2/4]

Gtk::AspectFrame::AspectFrame | ( | const AspectFrame & |  | ) |
| delete

## ◆ ~AspectFrame()

Gtk::AspectFrame::~AspectFrame | ( |  | ) |
| overridenoexcept

## ◆ AspectFrame() [3/4]

Gtk::AspectFrame::AspectFrame | ( | Align | xalign = Gtk::Align::CENTER,
|  | Align | yalign = Gtk::Align::CENTER,
|  | float | ratio = 1.0,
|  | bool | obey_child = false )
| explicit

Constructor to create a new AspectFrame object.

Parameters

  xalign | Horizontal alignment of the child within the allocation of this AspectFrame. For possible values, see Gtk::Align.
  yalign | Vertical alignment of the child within the allocation of this AspectFrame. For possible values, see Gtk::Align.
  ratio | The desired aspect ratio.
  obey_child | If `true`, ratio is ignored and the aspect ratio is taken from the requisition of the child.

## ◆ AspectFrame() [4/4]

Gtk::AspectFrame::AspectFrame | ( | float | xalign,
|  | float | yalign,
|  | float | ratio = 1.0,
|  | bool | obey_child = false )
| explicit

Constructor to create a new AspectFrame object.

Parameters

  xalign | Horizontal alignment of the child within the allocation of this AspectFrame. This ranges from 0.0 (left aligned) to 1.0 (right aligned).
  yalign | Vertical alignment of the child within the allocation of this AspectFrame. This ranges from 0.0 (top aligned) to 1.0 (bottom aligned).
  ratio | The desired aspect ratio.
  obey_child | If `true`, ratio is ignored and the aspect ratio is taken from the requisition of the child.

## Member Function Documentation

## ◆ get_child() [1/2]

Widget * Gtk::AspectFrame::get_child | ( |  | ) |

Gets the child widget of self.

Returns
  The child widget of self.

## ◆ get_child() [2/2]

const Widget * Gtk::AspectFrame::get_child | ( |  | ) | const

Gets the child widget of self.

Returns
  The child widget of self.

## ◆ get_obey_child()

bool Gtk::AspectFrame::get_obey_child | ( |  | ) | const

Returns whether the child's size request should override the set aspect ratio of the `Gtk::AspectFrame`.

Returns
  Whether to obey the child's size request.

## ◆ get_ratio()

float Gtk::AspectFrame::get_ratio | ( |  | ) | const

Returns the desired aspect ratio of the child.

Returns
  The desired aspect ratio.

## ◆ get_type()

static GType Gtk::AspectFrame::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_xalign()

float Gtk::AspectFrame::get_xalign | ( |  | ) | const

Returns the horizontal alignment of the child within the allocation of the `Gtk::AspectFrame`.

Returns
  The horizontal alignment.

## ◆ get_yalign()

float Gtk::AspectFrame::get_yalign | ( |  | ) | const

Returns the vertical alignment of the child within the allocation of the `Gtk::AspectFrame`.

Returns
  The vertical alignment.

## ◆ gobj() [1/2]

GtkAspectFrame * Gtk::AspectFrame::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkAspectFrame * Gtk::AspectFrame::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=() [1/2]

AspectFrame & Gtk::AspectFrame::operator= | ( | AspectFrame && | src | ) |
| noexcept

## ◆ operator=() [2/2]

AspectFrame & Gtk::AspectFrame::operator= | ( | const AspectFrame & |  | ) |
| delete

## ◆ property_child() [1/2]

Glib::PropertyProxy< Widget * > Gtk::AspectFrame::property_child | ( |  | ) |

The child widget.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_child() [2/2]

Glib::PropertyProxy_ReadOnly< Widget * > Gtk::AspectFrame::property_child | ( |  | ) | const

The child widget.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_obey_child() [1/2]

Glib::PropertyProxy< bool > Gtk::AspectFrame::property_obey_child | ( |  | ) |

Whether the `Gtk::AspectFrame` should use the aspect ratio of its child.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_obey_child() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::AspectFrame::property_obey_child | ( |  | ) | const

Whether the `Gtk::AspectFrame` should use the aspect ratio of its child.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_ratio() [1/2]

Glib::PropertyProxy< float > Gtk::AspectFrame::property_ratio | ( |  | ) |

The aspect ratio to be used by the `Gtk::AspectFrame`.

This property is only used if property_obey_child() is set to `false`.

Default value: 1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_ratio() [2/2]

Glib::PropertyProxy_ReadOnly< float > Gtk::AspectFrame::property_ratio | ( |  | ) | const

The aspect ratio to be used by the `Gtk::AspectFrame`.

This property is only used if property_obey_child() is set to `false`.

Default value: 1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_xalign() [1/2]

Glib::PropertyProxy< float > Gtk::AspectFrame::property_xalign | ( |  | ) |

The horizontal alignment of the child.

Default value: 0.5

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_xalign() [2/2]

Glib::PropertyProxy_ReadOnly< float > Gtk::AspectFrame::property_xalign | ( |  | ) | const

The horizontal alignment of the child.

Default value: 0.5

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_yalign() [1/2]

Glib::PropertyProxy< float > Gtk::AspectFrame::property_yalign | ( |  | ) |

The vertical alignment of the child.

Default value: 0.5

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_yalign() [2/2]

Glib::PropertyProxy_ReadOnly< float > Gtk::AspectFrame::property_yalign | ( |  | ) | const

The vertical alignment of the child.

Default value: 0.5

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_child()

void Gtk::AspectFrame::set_child | ( | Widget & | child | ) |

Sets the child widget of self.

Parameters

  child | The child widget.

## ◆ set_obey_child()

void Gtk::AspectFrame::set_obey_child | ( | bool | obey_child = true | ) |

Sets whether the aspect ratio of the child's size request should override the set aspect ratio of the `Gtk::AspectFrame`.

Parameters

  obey_child | If `true`, ratio is ignored, and the aspect ratio is taken from the requisition of the child.

## ◆ set_ratio()

void Gtk::AspectFrame::set_ratio | ( | float | ratio | ) |

Sets the desired aspect ratio of the child.

Parameters

  ratio | Aspect ratio of the child.

## ◆ set_xalign() [1/2]

void Gtk::AspectFrame::set_xalign | ( | Align | xalign | ) |

Sets the horizontal alignment of the child within the allocation of this AspectFrame.

Parameters

  xalign | Horizontal alignment of the child within the allocation of this AspectFrame. For possible values, see Gtk::Align.

## ◆ set_xalign() [2/2]

void Gtk::AspectFrame::set_xalign | ( | float | xalign | ) |

Sets the horizontal alignment of the child within the allocation of the `Gtk::AspectFrame`.

Parameters

  xalign | Horizontal alignment, from 0.0 (left aligned) to 1.0 (right aligned).

## ◆ set_yalign() [1/2]

void Gtk::AspectFrame::set_yalign | ( | Align | yalign | ) |

Sets the vertical alignment of the child within the allocation of this AspectFrame.

Parameters

  yalign | Vertical alignment of the child within the allocation of this AspectFrame. For possible values, see Gtk::Align.

## ◆ set_yalign() [2/2]

void Gtk::AspectFrame::set_yalign | ( | float | yalign | ) |

Sets the vertical alignment of the child within the allocation of the `Gtk::AspectFrame`.

Parameters

  yalign | Horizontal alignment, from 0.0 (top aligned) to 1.0 (bottom aligned).

## ◆ unset_child()

void Gtk::AspectFrame::unset_child | ( |  | ) |

## Friends And Related Symbol Documentation

## ◆ wrap()

Gtk::AspectFrame * wrap | ( | GtkAspectFrame * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.